Bug 79985 - don't schedule the same task if there's a pending request already scheduled
don't schedule the same task if there's a pending request already scheduled
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Sanders
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-18 07:56 EST by Alexandre Oliva
Modified: 2008-02-11 12:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 12:04:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-12-18 07:56:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When I visit the web site, it says a few of my machines that have been down for
the past few days need immediate update.  I have already scheduled the updates
of the corresponding errata, but the only place where this fact is displayed is
in the schedule web page.  It would be nice if it would decrease the `alert
level´ for a machine as soon as the updates are scheduled, but it should only
get back to normal when they're actually installed.  I imagine the System
Overview web page, as well as the top-level Errata and System Set Manager ->
Errata, could display not only the list of relevant errata, but also the number
of systems for which the errata install has not been scheduled.

Ideally, RHN would refuse to schedule a task (or at least warn about it) if
there's an identical task already scheduled for the same server, otherwise, if
you run rhn_check by hand on the client, you get messages that the requested
packages were already installed or so for every duplicate.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Schedule some updates for systems that are down, so that they're installed
when the system comes back up
2.A few days go by, and you visit the web page again, and see a number of
pending errata, so you schedule all updates again
3.When the server comes back up, you're impatient and run rhn_check by hand
    

Actual Results:  You get an `error´ message from rhn_check for every update
scheduled more than once.

Expected Results:  The RHN web pages should warn in advance, or even prevent,
the duplicate scheduling of tasks.  In particular, the default behavior should
not be of creating duplicates, but rather of scheduling actions only for systems
that don't have the action already scheduled.

Additional info:
Comment 1 Fanny Augustin 2006-11-14 15:38:22 EST
Reassigning  bugs from gdk (old RHN engineering Manager) to tsanders (current
RHN engineering manager)
Comment 2 Bill C. Riemers 2008-02-11 12:04:50 EST
This is a good idea, but there is not a good way for RHN to recognize the task
as an unwanted duplicate.

Note You need to log in before you can comment on or make changes to this bug.